For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTCreate MCP server
          • DELDelete MCP server
          • GETList MCP servers
          • GETGet MCP server
          • GETList MCP server tools
          • PATCHUpdate MCP server configuration
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceMCP

List MCP servers

GET
/v1/convai/mcp-servers
GET
/v1/convai/mcp-servers
$curl https://api.elevenlabs.io/v1/convai/mcp-servers \
> -H "Content-Type: application/json"
1{
2 "mcp_servers": [
3 {
4 "id": "mcp-server-1234",
5 "config": {
6 "url": "https://mcp.example.com/api/v1",
7 "name": "Primary MCP Server",
8 "approval_policy": "require_approval_all",
9 "tool_approval_hashes": [
10 {
11 "tool_name": "DataFetcher",
12 "tool_hash": "a3f5c9d8e7b6a1f2c3d4e5f67890abcd1234567890abcdef1234567890abcdef",
13 "approval_policy": "requires_approval"
14 }
15 ],
16 "transport": "SSE",
17 "secret_token": {
18 "secret_id": "secret-token-7890"
19 },
20 "request_headers": {
21 "Authorization": {
22 "secret_id": "auth-header-secret-4567"
23 },
24 "X-Custom-Header": "CustomValue123"
25 },
26 "auth_connection": {
27 "auth_connection_id": "auth-conn-5678"
28 },
29 "description": "Handles main conversational AI tool integrations.",
30 "pre_tool_speech": "auto",
31 "disable_interruptions": false,
32 "tool_call_sound": "typing",
33 "tool_call_sound_behavior": "auto",
34 "execution_mode": "immediate",
35 "response_timeout_secs": 60,
36 "tool_config_overrides": [
37 {
38 "tool_name": "DataFetcher",
39 "pre_tool_speech": "force",
40 "disable_interruptions": true,
41 "tool_call_sound": "elevator2",
42 "tool_call_sound_behavior": "always",
43 "execution_mode": "post_tool_speech",
44 "response_timeout_secs": 120,
45 "assignments": [
46 {
47 "dynamic_variable": "fetched_data",
48 "value_path": "data.results",
49 "source": "response",
50 "sanitize": false,
51 "preserve_native_type": true
52 }
53 ],
54 "input_overrides": {
55 "$.query": {
56 "source": "constant",
57 "constant_value": "latest news"
58 }
59 },
60 "response_mocks": [
61 {
62 "mock_result": "{\"results\": [{\"title\": \"Test News\", \"content\": \"This is a test.\"}]}",
63 "parameter_conditions": [
64 {
65 "eval": {
66 "type": "regex",
67 "pattern": "^test.*"
68 },
69 "path": "$.query"
70 }
71 ]
72 }
73 ],
74 "force_pre_tool_speech": true
75 }
76 ],
77 "disable_compression": false,
78 "force_pre_tool_speech": false
79 },
80 "metadata": {
81 "created_at": 1684990000,
82 "owner_user_id": "user-12345"
83 },
84 "access_info": {
85 "is_creator": true,
86 "creator_name": "Alice Smith",
87 "creator_email": "alice.smith@company.com",
88 "role": "admin",
89 "access_source": "creator"
90 },
91 "dependent_agents": [
92 {
93 "type": "available",
94 "access_level": "editor",
95 "created_at_unix_secs": 1685000000,
96 "id": "agent-001",
97 "name": "Customer Support Bot",
98 "referenced_resource_ids": [
99 "agent-001",
100 "agent-002"
101 ]
102 }
103 ]
104 }
105 ]
106}
Retrieve all MCP server configurations available in the workspace.
Was this page helpful?
Previous

Get MCP server

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
mcp_serverslist of objects

Errors

422
Unprocessable Entity Error